package com.njcn.gather.tool.active.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class ActivationCodePlaintext extends ApplicationCodePlaintext {

    /**
     * 模拟式模块
     */
    private ActivationModule simulate;

    /**
     * 数字式模块
     */
    private ActivationModule digital;

    /**
     * 比对式模块
     */
    private ActivationModule contrast;


    public void init() {
        simulate = new ActivationModule();
        digital = new ActivationModule();
        contrast = new ActivationModule();
    }


}
